<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStateToQuizzes extends TableMigration
{
    public function up(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->boolean('active')->default(0);
        });
    }

    public function down(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->dropColumn('active');
        });
    }

    public function tableName(): string
    {
        return 'quizzes';
    }
}
