<?php

namespace Drp\NativeEventApp\Notifications\Events;

use Drp\NativeEventApp\Models\Device;
use Drp\NativeEventApp\Models\Notification;
use Throwable;

class NotificationSendFailed
{
    /**
     * @var Notification
     */
    public $notification;

    /**
     * @var Device
     */
    public $device;

    /**
     * @var Throwable
     */
    public $exception;

    public function __construct(Notification $notification, Device $device, Throwable $exception)
    {
        $this->notification = $notification;
        $this->device = $device;
        $this->exception = $exception;
    }
}
